Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_TSS_Info Class Reference

Thread Specific Key management. More...

`#include <OS_NS_Thread.h>`

List of all members.

## Public Types
typedef void(* | Destructor )(void *)
| Declare pointer to function to destroy tss object.
## Public Member Functions
| ACE_TSS_Info (ACE_thread_key_t key, Destructor dest=0)
| Constructor.
| ACE_TSS_Info (void)
| Default constructor.
int | key_in_use (void) const
| Returns 1 if the key is in use, 0 if not.
void | key_in_use (int flag)
bool | operator== (const ACE_TSS_Info &) const
| Check for equality.
bool | operator!= (const ACE_TSS_Info &) const
| Check for inequality.
void | dump (void)
| Dump the state.
## Private Attributes
ACE_thread_key_t | key_
| Key to the thread-specific storage item.
Destructor | destructor_
| "Destructor" that gets called when the item is finally released.
int | thread_count_
## Friends
class | ACE_TSS_Cleanup

## Detailed Description

Thread Specific Key management.

This class maps a key to a "destructor."

## Member Typedef Documentation

typedef void(* ACE_TSS_Info::Destructor)(void *)

| Declare pointer to function to destroy tss object.

## Constructor & Destructor Documentation

ACE_TSS_Info::ACE_TSS_Info | ( | ACE_thread_key_t | key,
|  | Destructor | dest = `0`
| ) |

| Constructor.

ACE_TSS_Info::ACE_TSS_Info | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

void ACE_TSS_Info::dump | ( | void |  | ) |

| Dump the state.

void ACE_TSS_Info::key_in_use | ( | int | flag | ) | `[inline]`

| Mark the key as being in use if the flag is non-zero, or not in use if the flag is 0.

int ACE_TSS_Info::key_in_use | ( | void |  | ) | const`[inline]`

| Returns 1 if the key is in use, 0 if not.

bool ACE_TSS_Info::operator!= | ( | const ACE_TSS_Info & |  | ) | const

| Check for inequality.

bool ACE_TSS_Info::operator== | ( | const ACE_TSS_Info & |  | ) | const

| Check for equality.

## Friends And Related Function Documentation

friend class ACE_TSS_Cleanup`[friend]`

## Member Data Documentation

Destructor ACE_TSS_Info::destructor_`[private]`

| "Destructor" that gets called when the item is finally released.

ACE_thread_key_t ACE_TSS_Info::key_`[private]`

| Key to the thread-specific storage item.

int ACE_TSS_Info::thread_count_`[private]`

| Count of threads that are using this key. Contains -1 when the key is not in use.

The documentation for this class was generated from the following files:

- OS_NS_Thread.h
- OS_NS_Thread.cpp